Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.core.io
[Java] Class StaticResourceLocator

    java.lang.Object
      org.codehaus.groovy.grails.core.io.StaticResourceLocator

All Implemented Interfaces:
  ResourceLocator

    public class StaticResourceLocator
    extends java.lang.Object

A static resource locator that uses an internal map to locate resources. Used largely for testing.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `addClassResource(java.lang.String className, org.springframework.core.io.Resource res)`
`org.springframework.core.io.Resource` | `findResourceForClassName(java.lang.String className)`
`org.springframework.core.io.Resource` | `findResourceForURI(java.lang.String uri)`
`void` | `setSearchLocation(java.lang.String searchLocation)`
`void` | `setSearchLocations(java.util.Collection searchLocations)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addClassResource

    public void addClassResource(java.lang.String className, org.springframework.core.io.Resource res)

### findResourceForClassName

    public org.springframework.core.io.Resource findResourceForClassName(java.lang.String className)

### findResourceForURI

    public org.springframework.core.io.Resource findResourceForURI(java.lang.String uri)

### setSearchLocation

    public void setSearchLocation(java.lang.String searchLocation)

### setSearchLocations

    public void setSearchLocations(java.util.Collection searchLocations)

Groovy Documentation